# -*- coding: utf-8 -*-
############################################################
#   Transformation en niveau de gris d'une image couleur
#  par la méthode de la moyenne des 3 composantes
#########################################################

import PIL  #on importe le module de traitement d'images

img=PIL.Image.open("lena.jpg")  # on ouvre le fichier image initial

largeur_image=512
hauteur_image=512

new_size = (largeur_image,hauteur_image)
img_ndg = PIL.Image.new('L',new_size)  # on crée une nouvelle image en NDG de même taille
                                       # le parametre 'L' indique une profondeur de couleur de 8
for y in range(hauteur_image):
    for x in range(largeur_image):
        r,v,b=img.getpixel((x,y))  # on recupere les 3 composantes du pixel
        intensite_nouveau_pixel = int(0.2126*r+0.7152*v+0.0722*b)
        img_ndg.putpixel((x,y),intensite_nouveau_pixel)

img_ndg.save("lena_ndg_vraie.jpg", quality=100) # on enregistre l'image de sortie


