# -*- coding: utf-8 -*-
#########################################################
#   Obtention des contours horizontaux et verticaux
# en utilisant les filtres de Prewitt
#########################################################

import PIL
import math

img=PIL.Image.open("lena_ndg_moyenne.jpg")   # notre image en NDG de départ

largeur_image=512
hauteur_image=512

new_size = (largeur_image,hauteur_image)   # taille identique à celle de l'image de départ
img_contours_horiz = PIL.Image.new('L',new_size)                # profondeur de 8 (NDG)
img_contours_vert = PIL.Image.new('L',new_size)                 # profondeur de 8 (NDG)
img_contours_global = PIL.Image.new('L',new_size)               # profondeur de 8 (NDG)
img_contours_global_seuillee = PIL.Image.new('1',new_size)      # profondeur de 1 (binaire)

# Détection des contours
for y in range(1,hauteur_image-1):              # les pixels du bord ne sont pas traités !
    for x in range(1,largeur_image-1):
        
        i1=img.getpixel((x-1,y-1))
        i2=img.getpixel((x,y-1))
        i3=img.getpixel((x+1,y-1))
        i4=img.getpixel((x-1,y))
        i5=img.getpixel((x,y))
        i6=img.getpixel((x+1,y))
        i7=img.getpixel((x-1,y+1))
        i8=img.getpixel((x,y+1))
        i9=img.getpixel((x+1,y+1))
        
        #prewitt
        intensite_new_pix_v = int((3*i3+3*i6+3*i9-3*i1-3*i4-3*i7)/9)
        intensite_new_pix_h = int((3*i7+3*i8+3*i9-3*i1-3*i2-3*i3)/9)
        
        # contours en NDG
        intensite_nouveau_pixel = int(math.sqrt(intensite_new_pix_v**2+intensite_new_pix_h**2))
        
        # seuillage, le seuil est a affiner en fonction du résultat souhaité
        if(intensite_nouveau_pixel < 30) :  
            intensite_nouveau_pixel_binaire = 0
        else:
            intensite_nouveau_pixel_binaire = 1
        
        img_contours_horiz.putpixel((x,y),intensite_new_pix_h)
        img_contours_vert.putpixel((x,y),intensite_new_pix_v)
        img_contours_global.putpixel((x,y),intensite_nouveau_pixel)
        img_contours_global_seuillee.putpixel((x,y),intensite_nouveau_pixel_binaire)

img_contours_horiz.save("prewitt_horiz.jpg", quality=100)
img_contours_vert.save("prewitt_hor.jpg", quality=100)
img_contours_global.save("prewitt.jpg", quality=100)
img_contours_global_seuillee.save("prewitt_binaire.tif", quality=100)

