# -*- coding: utf-8 -*-
######################################################################
#   Récupération de la position à partir de la trame NMEA
######################################################################

####################################################################################
#  Fonction RecupererPosition : Elle prend en paramètre la trame NMEA complète et
# retourne la latitude et longitude en dégrés et minutes ainsi que l'altitude
####################################################################################
def RecupererPosition(trame):
    liste_param = trame.split(",")  # on décompose à partir du séparateur ","
    # Transformation des champs pour afficher correctement la latitude et la longitude
    deglat = liste_param[2][0:2] # on recupere les 2 premiers caractères (degrés)
    restlat = liste_param[2][2::] # on recupere le reste (minutes)
    latitude = deglat + "°" + restlat + "' " + liste_param[3]
    deglong = liste_param[4][0:3] # on recupere les 3 premiers caractères (degrés)
    restlong = liste_param[4][3::]  # on recupere le reste (minutes)
    longitude = deglong + "°" + restlong + "' " + liste_param[5]
    altitude = liste_param[9] + " " + liste_param[10]
    
    return latitude, longitude, altitude


############################
#   Programme principal
############################
trameNMEA = input("Veuillez saisir la trame NMEA complète : ")
lat, long, alt = RecupererPosition(trameNMEA)
print("Latitude : " + lat)
print("Longitude : " + long)
print("Altitude : " + alt)

