#----------------------------------------------
# Clignottement Rouge et Bleu sur la led RGB
#----------------------------------------------
import time                # module pour la gestion temps
from machine import Pin    # module pour l'accés aux broches de notre ESP8266

#-----------------------------------------
# on déclare les broches pour la led RGB
#-----------------------------------------
ledB=Pin(5,Pin.OUT)  #D1
ledR=Pin(0,Pin.OUT)  #D3

#-------------------------------------------------------------------------------------
# Fonction permettant d'éteindre la led sur la broche 'pinled' passée en paramètre
#-------------------------------------------------------------------------------------
def Eteindreled(pinled):
  pinled.value(0)

#-------------------------------------------------------------------------------------
#  Fonction permettant d'allumer la led sur la broche 'pinled' passée en paramètre
#-------------------------------------------------------------------------------------
def Allumerled(pinled):  
  pinled.value(1)

#--------------------------------------------------------------------------------------
# Fonction permettant d'eteindre toutes les leds en utilisant la fonction Eteindreled()
#--------------------------------------------------------------------------------------
def Eteindretout():
  Eteindreled(ledR)
  Eteindreled(ledB)

#------------------------------------------------------------------------------------------------
#  Fonction permettant de faire clignoter la led sur la broche 'pinled' pendant 'delai' secondes
#------------------------------------------------------------------------------------------------
def Clignotementled(pinled, delai):
  Allumerled(pinled)
  time.sleep(delai)
  Eteindreled(pinled)
  time.sleep(delai)

#-----------------------------------------  
# Programme principal
#-----------------------------------------
Eteindretout()
while True:
  Clignotementled(ledR,1)
  Clignotementled(ledB,1)
  
  