#-------------------------------------------
# Lecture de la température depuis le LM35
#-------------------------------------------
from machine import ADC    # module pour la lecture analogique
import time                # module pour la gestion temps

adc0=ADC(0)                # initialisation pour la lecture sur A0

#---------------------------------------------------------------------
# Fonction permettant de convertir la valeur lue sur A0 en température
#---------------------------------------------------------------------
def ConversionTensionTemperature(val_num_A0):
  tension = (2.81*val_num_A0)/1023   # 2.81V et non 3.3V sur AO
  temperature = tension/0.01         # 10mV tous les 10 degrés
  return temperature

#-------------------------------------------
# Programme principal
#-------------------------------------------
while True:                 # Boucle infinie
  lect_surAO = adc0.read()  # lecture d'une valeur entière entre 0-1023  
  temp = ConversionTensionTemperature(lect_surAO)
  print("temperature=",temp," °C")
  time.sleep(5)             # On attend 5 secondes
  
  